Botan: Botan::EMSA Class Reference

Botan 1.10.17

Public Member Functions | List of all members
Botan::EMSA Class Referenceabstract

`#include <emsa.h>`

Inheritance diagram for Botan::EMSA:

## Public Member Functions
virtual SecureVector< byte > | encoding_of (const MemoryRegion< byte > &msg, size_t output_bits, RandomNumberGenerator &rng)=0
virtual SecureVector< byte > | raw_data ()=0
virtual void | update (const byte input[], size_t length)=0
virtual bool | verify (const MemoryRegion< byte > &coded, const MemoryRegion< byte > &raw, size_t key_bits)=0
virtual | ~EMSA ()

## Detailed Description

Encoding Method for Signatures, Appendix

Definition at line 19 of file emsa.h.

## Constructor & Destructor Documentation

## ◆ ~EMSA()

virtual Botan::EMSA::~EMSA | ( |  | ) |
| inlinevirtual

Definition at line 55 of file emsa.h.

55 {}

## Member Function Documentation

## ◆ encoding_of()

virtual SecureVector<byte> Botan::EMSA::encoding_of | ( | const MemoryRegion< byte > & | msg,
|  | size_t | output_bits,
|  | RandomNumberGenerator & | rng
| ) |  |
| pure virtual

Return the encoding of a message

Parameters

  msg | the result of raw_data()
  output_bits | the desired output bit size
  rng | a random number generator

Returns
  encoded signature

Implemented in Botan::EMSA3_Raw, and Botan::EMSA3.

## ◆ raw_data()

virtual SecureVector<byte> Botan::EMSA::raw_data | ( |  | ) |
| pure virtual

Returns
  raw hash

Implemented in Botan::EMSA3_Raw, and Botan::EMSA3.

Referenced by Botan::PK_Verifier::check_signature().

## ◆ update()

virtual void Botan::EMSA::update | ( | const byte | input[],
|  | size_t | length
| ) |  |
| pure virtual

Add more data to the signature computation

Parameters

  input | some data
  length | length of input in bytes

Implemented in Botan::EMSA3_Raw, and Botan::EMSA3.

Referenced by Botan::PK_Signer::update(), and Botan::PK_Verifier::update().

## ◆ verify()

virtual bool Botan::EMSA::verify | ( | const MemoryRegion< byte > & | coded,
|  | const MemoryRegion< byte > & | raw,
|  | size_t | key_bits
| ) |  |
| pure virtual

Verify the encoding

Parameters

  coded | the received (coded) message representative
  raw | the computed (local, uncoded) message representative
  key_bits | the size of the key in bits

Returns
  true if coded is a valid encoding of raw, otherwise false

Implemented in Botan::EMSA3_Raw, and Botan::EMSA3.

The documentation for this class was generated from the following file:

- src/pk_pad/emsa.h